{{- if .Values.enabled -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ template "semagrow.fullname" . }}
  namespace: {{ $.Release.Namespace }}
  labels:
{{ include "dare.standardLabels"  . | indent 4 }}
  annotations:
{{ include "dare.serviceAnnotations"  . | indent 4 }}
spec:
  type: {{ .Values.serviceType }}
  selector:
    app: {{ template "semagrow.name" . }}
    release: {{ .Release.Name }}
    component: app
  ports:
  - name: http
    port: 8080
    targetPort: {{ .Values.servicePort }}
    protocol: TCP
{{- end }}
